<template>
    <div class="dev">
        <p>loggedIn: {{loggedIn}}</p>
        <p>userId: {{userId}}</p>
        <p>jwt: {{jwt}}</p>
        <p>userObject: {{userObject}}</p>
    </div>
</template>
<script>
import { useAuthStore } from 'src/stores/authStore.js';
import { defineComponent } from 'vue';

export default defineComponent({
  setup() {
    const authStore = useAuthStore();
    return {
      jwt: authStore.jwt,
      userId: authStore.userId,
      loggedIn: authStore.loggedIn,
      userObject: authStore.userObject,
    };
  },
});
</script>

<style scoped>
p{
  word-break: break-all;
}
</style>
